Please merge ntfs-3g 2009.4.4-1 (main) from Debian unstable

Bug #349569 reported by Marcos Felipe Mello
58
This bug affects 9 people
Affects Status Importance Assigned to Milestone
ntfs-3g (Ubuntu)
Wishlist
Unassigned
Declined for Hardy by Martin Pitt
Declined for Intrepid by Martin Pitt
Declined for Jaunty by Martin Pitt
Nominated for Karmic by mclaud2000

Bug Description

Binary package hint: ntfs-3g

Update: version 2009.4.4 was released. According to changelog there's considerable performance Improvements, among others fixes/optimizations.

Changelog: http://www.ntfs-3g.org/releases.html
Source: http://www.ntfs-3g.org/ntfs-3g-2009.4.4.tgz

STABLE Version 2009.4.4 (April 2, 2009)

    * Fix: Mount and system boot could hang if Linux kernel audit was enabled.
    * Fix: Volume could be potentially corrupted or the driver crashed after a partial write or hardware error.
    * Fix: The driver could crash handling highly fragmented files.

STABLE Version 2009.3.8 (March 26, 2009)

    * Fix: Some defragmenters reported NTFS-3G created directories unmovable.
    * Fix: The Windows NTFS file system checker, CHKDSK, may reported "free space marked as allocated in the master file table (MFT) bitmap".
    * Fix: The driver may returned "No space left on device" error when there was still free space on the NTFS volume.
    * Fix: A file may got corrupted when the STANDARD INFORMATION attribute was moved to an extent MFT record. Only the already fixed Advanced NTFS-3G Driver had this problem, not the Stable NTFS-3G Driver.
    * Change: 10-50% faster file and directory creation, removal, copy, unpackaging performance.
    * Change: 500-1000% faster mount time. This is mostly noticable on multi-TB volumes and embedded devices. Please note, a generally 10-20 times faster performing NTFS-3G driver is available for embedded devices separately.
    * Change: Improved multi-cluster allocation, non-aligned file write performance.
    * Change: Improved volume consistency and recovery if the storage device was unsafely detached or powered down.
    * Change: Less disk space usage.
    * New: The version/-V command line option has been added.

Related branches

Revision history for this message
Michael Fritscher (michael-fritscher) wrote :

I second that, it also doesnt created unmoveable directories now, which is a big problem when using the disc heavily for month and then trying to defragment them (the only solution to fix it is to make a fresh directory tree, move all files into it and then delete the old tree.)

description: updated
summary: - Please upgrade to ntfs-3g 2009.3.8
+ Please upgrade to ntfs-3g 2009.4.4
Revision history for this message
dino99 (9d9) wrote : Re: Please upgrade to ntfs-3g 2009.4.4

hi,

here is my problem:
i have a usb-stick with a unetbootin fat32 system, wich i use to install new distro.
 This stick was previously formatted with intrepid gparted: plugged it on jaunty 32 work like a charm.

Now, the same stick plugged on the same jaunty system can't be mounted if i reformat it with jaunty gparted version !!!
receive that error: "cannot get volume.fstype.alternative"

I've read all related ntfs-3g bug report (ubuntu, redhat, fedora, mandriva, arch, ...) and tried patch suggestions

Please, push up last release: 2009.4.4 is a stable one

summary: - Please upgrade to ntfs-3g 2009.4.4
+ Please merge ntfs-3g 2009.4.4-1 (main) from Debian unstable
Changed in ntfs-3g (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
Chris Coulson (chrisccoulson) wrote :

Here is the delta to Debian after the merge

Revision history for this message
Chris Coulson (chrisccoulson) wrote :
Changed in ntfs-3g (Ubuntu):
status: New → Confirmed
Revision history for this message
Colin Watson (cjwatson) wrote :

I think some thought is needed about the shift from HAL to DeviceKit-disks. The HAL FDI file was added with this changelog entry:

  * The hal standard configuration no longer allows the 'locale=' mount option
    for NTFS, as the Linux kernel NTFS driver does not support this option.
    As a workaround we install our own fdi file 20-ntfs-3g-policy.fdi to
    /usr/share/hal/fdi/policy/10osvendor which will add this mount option back
    and make hal use ntfs-3g as default fs driver.

DK-disks doesn't seem to support locale= (nor, in fact, does it support many of the other options supported by ntfs-3g), so what do we do here? I've asked Martin Pitt for advice on IRC.

Revision history for this message
Martin Pitt (pitti) wrote : devkit-disks: Allowed ntfs-3g mount options

Hello devkitters,

In https://launchpad.net/bugs/349569 it was noted that devkit-disks
does not allow most of the ntfs-3g mount options. So far, ntfs-3g has
shipped a hal fdi as a workaround (attached) which allows those, but
obviously that doesn't work with dk-disks any more.

Is the intention that ./src/devkit-disks-device.c itself gets those
new options, hardcoded? It already expects ntfs-3g after all:

| /* this is assuming that ntfs-3g is used */
|
| static const char *ntfs_defaults[] = {"uid=",
| "gid=",
| "dmask=0077",
| NULL};
| static const char *ntfs_allow[] = {"umask=",
| "dmask=",
| "fmask=",
| NULL};
|

If it shouldn't be hardcoded, is there any plan to allow overrides?

Personally I think that ntfs-3g has been pretty much the only use case
here, so adding them to devkit-disks-device.c would be okay.

Thanks for comments,

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Revision history for this message
Martin Pitt (pitti) wrote :

Hello again,

Martin Pitt [2009-06-10 13:37 +0200]:
> shipped a hal fdi as a workaround (attached)

*cough*

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Revision history for this message
Martin Pitt (pitti) wrote : Fwd: Re: devkit-disks: Allowed ntfs-3g mount options

----- Forwarded message from David Zeuthen <email address hidden> -----

Date: Fri, 12 Jun 2009 10:41:05 -0400
From: David Zeuthen <email address hidden>
To: Martin Pitt <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: devkit-disks: Allowed ntfs-3g mount options

On Wed, 2009-06-10 at 13:37 +0200, Martin Pitt wrote:
> Hello devkitters,
>
> In https://launchpad.net/bugs/349569 it was noted that devkit-disks
> does not allow most of the ntfs-3g mount options. So far, ntfs-3g has
> shipped a hal fdi as a workaround (attached) which allows those, but
> obviously that doesn't work with dk-disks any more.
>
> Is the intention that ./src/devkit-disks-device.c itself gets those
> new options, hardcoded? It already expects ntfs-3g after all:
>
> | /* this is assuming that ntfs-3g is used */
> |
> | static const char *ntfs_defaults[] = {"uid=",
> | "gid=",
> | "dmask=0077",
> | NULL};
> | static const char *ntfs_allow[] = {"umask=",
> | "dmask=",
> | "fmask=",
> | NULL};
> |
>
> If it shouldn't be hardcoded, is there any plan to allow overrides?
>
> Personally I think that ntfs-3g has been pretty much the only use case
> here, so adding them to devkit-disks-device.c would be okay.

Hmm, I suppose we can add some more options here but note that there's
no UI in GNOME anymore to configure mount options [1] like with what we
had with gnome-mount (gnome-mount is deprecated, for the gdu backend of
GVfs use gvfs-mount instead).

So, yeah, it's not really helping anything adding mount options expect
for 'force' (see below). Anyway, I'm not opposed to adding more options
if they are not security holes so please send patches if you want this.

Incidentally, the only problem (I think) we currently have with ntfs-3g
is that the driver sometimes refuses to mount the file system if it was
cleanly unmounted. The user experience is really bad; googling for it,
it looks like this

http://media.photobucket.com/image/ntfs-3g%20could%20not%
20mount/r3bol/ntfs.png

We can fix it this way

 a) check for this error (do a strstr() on "$Logfile indicates a clean
    shutdown" for example) when seeing an error when mounting NTFS

 b) use the GMountOperation to put up a dialog asking if the user wants
    to use the 'force' option

 c) remount with the 'force' option

    David

[1] : this is intentional; you shouldn't have to mess around with mount
options, we should do the right thing out of the box. If you have
special needs (like if you are a hacker) you can always just
use /etc/fstab

----- End forwarded message -----

Revision history for this message
Martin Pitt (pitti) wrote : Re: devkit-disks: Allowed ntfs-3g mount options

Hello David,

David Zeuthen [2009-06-12 10:41 -0400]:
> Hmm, I suppose we can add some more options here but note that there's
> no UI in GNOME anymore to configure mount options [1]
> [...]
> [1] : this is intentional; you shouldn't have to mess around with mount
> options, we should do the right thing out of the box. If you have
> special needs (like if you are a hacker) you can always just
> use /etc/fstab

I actually thought that this was just a transition issue and that the
mount options just weren't exposed in nautilus yet. If it's
intentional, then this is indeed a non-issue.

Dropping the mount options from the UI entirely stops people from
being able to share their USB hard disk with other users on the
system, though. There might be a few other use cases, but this one
seems to be the most obvious to me. I don't consider /etc/fstab a real
alternative, that feels like a step backwards and isn't possible for
non-admin users anyway.

But let's see how this goes..

Thanks for the heads-up,

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Revision history for this message
Chris Coulson (chrisccoulson) wrote : Re: [Bug 349569] Fwd: Re: devkit-disks: Allowed ntfs-3g mount options

2009/6/15 Martin Pitt <email address hidden>

> ----- Forwarded message from David Zeuthen <email address hidden> -----
>
> Incidentally, the only problem (I think) we currently have with ntfs-3g
> is that the driver sometimes refuses to mount the file system if it was
> cleanly unmounted. The user experience is really bad; googling for it,
> it looks like this
>
> http://media.photobucket.com/image/ntfs-3g%20could%20not%
> 20mount/r3bol/ntfs.png<http://media.photobucket.com/image/ntfs-3g%20could%20not%%0A20mount/r3bol/ntfs.png>
>
> We can fix it this way
>
> a) check for this error (do a strstr() on "$Logfile indicates a clean
> shutdown" for example) when seeing an error when mounting NTFS
>
> b) use the GMountOperation to put up a dialog asking if the user wants
> to use the 'force' option
>
> c) remount with the 'force' option
>
> David
>
>
> ----- End forwarded message -----
>
> David,

This should not be an issue anymore. ntfs-3g supports "recover" and
"norecover" mount options to recover volumes with unclean journals (eg, if
they were not cleanly unmounted) since version 2009.2.1, "recover" is the
default if no option is specified, so it should make this issue go away.

Regards
Chris

Revision history for this message
Matthias Clasen (matthias-clasen) wrote : Re: devkit-disks: Allowed ntfs-3g mount options

On Mon, Jun 15, 2009 at 8:08 AM, Martin Pitt<email address hidden> wrote:

>
> Dropping the mount options from the UI entirely stops people from
> being able to share their USB hard disk with other users on the
> system, though. There might be a few other use cases, but this one
> seems to be the most obvious to me.

Sharing devices seems like something that should be properly designed
as a feature, not exposed in some backwards way via obscure mount
options...

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ntfs-3g - 1:2009.4.4-1ubuntu1

---------------
ntfs-3g (1:2009.4.4-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #349569), remaining changes:
    - Install to /bin and /lib rather than /usr/bin and /usr/lib.
    - Create libntfs3g54-udeb and ntfs-3g-udeb packages.
    - Build with external FUSE and pre-depend on fuse-utils.
    - debian/control: ntfs-3g depends on initramfs-tools. It calls
      update-initramfs from the postinst, which can potentially lead to an
      unbootable system. ("udevadm trigger is not premitted while udev
      is unconfigured".)
    - Copy ntfs-3g into the initramfs. If ntfs-3g is used to mount the root
      filesystem (either directly or via a loopback mount), load the fuse
      module beforehand, and save ntfs-3g's PID (indirectly) in
      /var/run/sendsigs.omit.
    - debian/rules:
      + Don't install HAL fdi file. Mounting is done via devkit-disks now.
    - debian/ntfs-3g.links:
      + Create /sbin/mount.ntfs symlink.
      + Add a symlink for the mount.ntfs manpage.

ntfs-3g (1:2009.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #523987).
  * As usual, bump library package name and update upstream changelog.
  * Bump Standards-Version.

ntfs-3g (1:2009.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #508028, #512716).
  * Ack Michael Biebl's NMU.
  * Update the HAL policy file from latest Ubuntu packages.
  * As usual, bump library package name and update upstream changelog.
  * Add missing ${misc:Depends} to all binary packages.

 -- Chris Coulson <email address hidden> Sat, 06 Jun 2009 20:07:20 +0100

Changed in ntfs-3g (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers